# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import lemmatizer_pb2 as lemmatizer__pb2


class lemmatizerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.getLemmas = channel.unary_unary(
                '/com.randomm.proto.lemmatizer/getLemmas',
                request_serializer=lemmatizer__pb2.LemmaRequest.SerializeToString,
                response_deserializer=lemmatizer__pb2.LemmaResponse.FromString,
                )


class lemmatizerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def getLemmas(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_lemmatizerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'getLemmas': grpc.unary_unary_rpc_method_handler(
                    servicer.getLemmas,
                    request_deserializer=lemmatizer__pb2.LemmaRequest.FromString,
                    response_serializer=lemmatizer__pb2.LemmaResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'com.randomm.proto.lemmatizer', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class lemmatizer(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def getLemmas(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/com.randomm.proto.lemmatizer/getLemmas',
            lemmatizer__pb2.LemmaRequest.SerializeToString,
            lemmatizer__pb2.LemmaResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
